メインコンテンツへスキップ
GET
/
v3
/
enterprise
/
queue
キューを取得します。
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/queue \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/enterprise/queue"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/enterprise/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "queue_size": 123
}

権限

Enterprise レベルで ViewAccountMetrics 権限を持つサービスユーザーが必要です。

ステータスのしきい値

status フィールドは、キューに入っているセッション数に基づいて現在のキュー負荷を示します:
StatusConditionDescription
normalqueue_size ≤ 10キューは通常どおり動作しています
elevated11 ≤ queue_size ≤ 50キュー負荷が高まっています
highqueue_size > 50キュー負荷が非常に高い状態です

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

レスポンス

200 - application/json

成功レスポンス

キューエンドポイント用のレスポンスモデル。

queue_size
integer
必須
status
enum<string>
必須
利用可能なオプション:
normal,
elevated,
high